Master Wallet Get Rule
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"destination": {
"address": "0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4",
"asset": "USDC",
"blockchain": "optimism"
},
"id": "312ed6b6-cdde-4761-989d-c8e2b6047e19",
"isActive": true,
"name": "Swap from Base USDC to Optimism USDC",
"order": "RECOMMENDED",
"slippageTolerance": "5",
"source": {
"assets": [
"USDC"
],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
}
},
"message": "Auto settlement rule fetched successfully",
"statusCode": 200
}Master Wallet Get Rule
This endpoint allows you to retrieve the details of a specific auto-settlement rule associated with a particular wallet.
Path Parameters
| Field | Type | Description |
|---|---|---|
id | string | The unique identifier of the auto-settlement rule to retrieve. |
GET
/
v1
/
wallets
/
{walletId}
/
auto-settlements
/
rules
/
{id}
Master Wallet Get Rule
Authorizations
Path Parameters
Example:
"{{walletId}}"
Example:
"55869cbe-fa3a-44d2-a7e3-d65c08355e4d"
⌘I

